Opened 9 years ago

Closed 9 years ago

#1298 closed defect (fixed)

Package libphone-ui0 doesn't install /etc/libphoneui.conf?

Reported by: Quix0r Owned by: mrmoku
Priority: major Milestone:
Component: phoneuid Version: SHR-unstable
Keywords: Cc:

Description

According to the #openmoko-cdevel channel, the mentioned package should install /etc/libphoneui.conf, but it doesn't.

This breaks phoneuid to launch and the wrapper scripts will infinitely attempt to start it will get a SIGABRT if /etc/libphoneui.conf is absent.

root@om-gta02 ~ # opkg -force-reinstall install libphone-ui0
Removing package libphone-ui0 from root...
Installing libphone-ui0 (0.0.1+gitr317+304538f6296b1da8390783d9c2a2f83435599e70-r1.6) to root...
Downloading http://build.shr-project.org/shr-unstable/ipk//armv4t/libphone-ui0_0.0.1+gitr317+304538f6296b1da8390783d9c2a2f83435599e70-r1.6_armv4t.ipk.
Configuring libphone-ui0.
root@om-gta02 ~ #

Attached is also my version of /etc/libphoneui.conf with fixed paths for gta02 (no crash with 2.6.34.8 kernel so far).

Attachments (1)

libphoneui.conf (1.9 KB) - added by Quix0r 9 years ago.
libphoneui.conf with patched paths for vibrator and backlight

Download all attachments as: .zip

Change History (4)

Changed 9 years ago by Quix0r

libphoneui.conf with patched paths for vibrator and backlight

comment:1 Changed 9 years ago by jama

  • Resolution set to fixed in unstable
  • Status changed from new to closed

comment:2 Changed 9 years ago by Heinervdm

  • Resolution fixed in unstable deleted
  • Status changed from closed to reopened

comment:3 Changed 9 years ago by Heinervdm

  • Resolution set to fixed
  • Status changed from reopened to closed

This bug wasn't in testing

Note: See TracTickets for help on using tickets.